#! /bin/bash

# Update the version number of scg/game/Game.java

phrase="\/\/ DONOTCHANGETHIS:"
tmpfile=..temp
file=scg/game/Game.java

echo "  ** Saving backup"
cp $file $file.bak
echo "  ** Changing the file..."
sed -e "/${phrase}\$/{ s|\(${phrase}\)\$|\1:|; P; D; }" \
    -e "/${phrase}:\$/{ s|\(${phrase}\):\$|\1|; P; D; }" $file > $tmpfile

echo "  ** Overwriting and checking in"
mv $tmpfile $file
svn ci -m "game version update" $file &>/dev/null
javac $file

echo "  ** Making and checking in Jar"
./makeJar.sh &>/dev/null
svn ci -m "Jar version update" scglibs.jar &>/dev/null
java -jar scglibs.jar
